Bug 572831 - 'Update standard folders to current language?' dialog not displayed and has no option to convert directory names to English for languages with no translation
Summary: 'Update standard folders to current language?' dialog not displayed and has n...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs-gtk
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
: 500952 (view as bug list)
Depends On:
Blocks: 580362
TreeView+ depends on / blocked
 
Reported: 2010-03-12 06:48 UTC by Runa Bhattacharjee
Modified: 2015-03-03 22:45 UTC (History)
6 users (show)

(edit)
Clone Of:
: 580362 (view as bug list)
(edit)
Last Closed: 2011-06-27 15:08:43 UTC


Attachments (Terms of Use)

Description Runa Bhattacharjee 2010-03-12 06:48:06 UTC
Description of problem:

The 'Update standard folders to current language?' dialog is not displayed 
displayed for languages when the particular language is selected from gdm that do not have translations for these folders. Additionally, the screen does not provide an option to convert the language names to English, which would be helpful for these languages that do not have translations for these folders.

http://runab.fedorapeople.org/assorted-bugs/xdg1.png

Version-Release number of selected component (if applicable):

xdg-user-dirs-gtk-0.8.5.fc13

How reproducible:


Steps to Reproduce:

1. Login to the Spanish (es) locale through gdm
2. Choose to convert the names of the folders in the 'Update standard folders to current language?' dialog
2. Check that the names of the folders in the users Home directory have been converted to their Spanish Equivalent.
3. Logout and return to gdm
4. Login to the Bengali India (bn_IN) locale through gdm
5. Check the names of the folders in the users Home directory.
  
Actual results:

The 'Update standard folders to current language?' dialog is not displayed and the names of the folders are retained in the language which was last chosen to convert the language names (in this case Spanish), irrespective of the times the user has logged in/out.

http://runab.fedorapeople.org/assorted-bugs/xdg2.png

Expected results:


1a. Display the 'Update standard folders to current language?' dialog for languages that do not have translations for the folders in the users' home directory.

1b. An option in the dialog to allow the directories to be (re)named in English

or

2. Automatic conversion of the directory names into English for the languages that do not have the translation (similar to process used for other user interface messages)


Additional info:

1. This is particularly important, since some languages that use non-latin script may prefer to not translate the folder names in English to allow access from the console.

2. At present, the user has to log back into the English locale to rename the folders and then log back into the bn_IN locale again.

Comment 1 Matthias Clasen 2010-03-14 15:43:35 UTC
You can go to http://www.transifex.net/projects/p/xdg-user-dirs/ to add translations for your language.

If you want to look into enhancing xdg-user-dirs-gtk, that lives at http://git.gnome.org/browse/xdg-user-dirs-gtk/

Comment 2 Piotr Drąg 2010-03-18 20:35:14 UTC
xdg-user-dirs translations are not hosted on transifex.net. It rather use ancient Translation Project.

http://www.freedesktop.org/wiki/Software/xdg-user-dirs#Translations

Comment 3 A S Alam 2010-04-08 04:29:20 UTC
*** Bug 500952 has been marked as a duplicate of this bug. ***

Comment 4 Bug Zapper 2011-06-02 16:13:20 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-27 15:08:43 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.